curl --request GET \
--url https://api.byteful.com/1.0/public/user/subdivision/search \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/subdivision/search"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/subdivision/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"country_id": "fr",
"subdivision_alias": "fr_idf",
"subdivision_id": "fr-idf",
"subdivision_name": "Île-de-France",
"subdivision_node_count": 1345
}
],
"item_count": 1,
"message": "Subdivision search successful.",
"page": 1,
"per_page": 10,
"total_count": 1
}Search Subdivision
Search Subdivision entries using various filters. This endpoint allows users to query subdivisions based on specific attributes.
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Query Parameters
Unique identifier of the Subdivision
Name of the Subdivision
Country identifier to which the Subdivision belongs
Alias or alternative name for the Subdivision
Current number of online nodes in the Subdivision
Number of items per page for pagination
Page number for pagination
Key for sorting or random.
Response
Successful Subdivision search
Subdivision search was successful.
Array of Subdivision items matching the search criteria up to the limit of per_page paramater.
Show child attributes
Show child attributes
Total number of Subdivision items returned in the data field.
Status message for the search.
Current page number of the search results returned.
Number of Subdivision items returned per page.
Total of Subdivision items that match the search filter.

